#!/bin/bash
#
# sillyloops.sh - A simple script which checks and reports the computer
# it's running on and performs a simple multiplication a number of times
# (number given as argument). Used as an example in the NorduGrid tutorial,
# Tallinn, January 23, 2004.
#
# Arto Teras <arto.teras@csc.fi>
#
if [ "$#" -lt 1 ] ; then
   echo "Syntax: sillyloops.sh <number of loops>"
   exit 1
fi
NUMLOOPS=$1
echo "I'm running on `hostname`"
echo "Time is now `date`"

# Do silly loops
echo "Doing $NUMLOOPS silly loops..."
for (( i = 0; i <= ${NUMLOOPS}; i++ ))
do
   A=3.14*50
done

echo "Time after $NUMLOOPS silly loops is `date`"
